Hyper3D Rodin
集成
模型 id
hyper3d/rodin
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hyper3d/rodin?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": ""
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/hyper3d/rodin?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": ""
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/hyper3d/rodin", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "hyper3d/rodin",
"input": {
"prompt": ""
}
}
通过 Doitong API 调用 Hyper3D Rodin 模型(hyper3d/rodin)。智能体文档:https://doitong.com/zh/developers/models/hyper3d/rodin.md
POST https://api.doitong.com/v1/run/hyper3d/rodin?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": ""
}
如果响应状态为 "queued" 或 "running",请轮询 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://api.doitong.com/v1/quote/hyper3d/rodin,可在运行前返回确切价格。
此请求: $0.40 400 API 积分 在此页面运行
你的新 API 密钥。 它仅在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保密:切勿将其放入在浏览器中运行的代码。
构建请求
控件根据模型架构生成。更改控件时,代码和价格会同步更新。
POST
/run/hyper3d/rodin?wait=20
报价 → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hyper3d/rodin?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": ""
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/hyper3d/rodin?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": ""
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/hyper3d/rodin", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "hyper3d/rodin",
"input": {
"prompt": ""
},
"wait_seconds": 20
}
}
}
关于 Hyper3D Rodin
根据最多 1024 个字符的提示词、输入图像或两者生成 3D 模型。多图像输入时,`condition_mode` 为 fuse 或 concat。选项包括从 extra-low 到 high 的 `quality`、PBR 或 Shaded 的 `material`、Regular 或 Sketch 的 `tier`、`TAPose`、`bbox_condition`,以及 glb、usdz、fbx、obj 或 stl 导出。
参数
名称类型
默认值允许值
描述
prompt可选
类型string
默认值
≤ 1,024 个字符
以文本形式提供的生成指导;Text-to-3D 模式需要此项,Image-to-3D 模式可省略。
input_image_urls可选
类型url[] · image
源图像 URL;Image-to-3D 模式需要此项,Text-to-3D 模式可选,用于生成模型。
condition_mode可选
类型enum
默认值concat
fuseconcat
图像条件方法:concat 从同一对象的多个视图构建模型,不要求上传顺序。或者,fuse 需要一张或多张图像,通过提取对象特征并在图像间合并来创建模型。
seed可选
类型integer | null
0 – 65,535
可选的随机化种子,范围为 0–65535。
geometry_file_format可选
类型enum
默认值glb
glbusdzfbxobjstl
几何文件格式,可从 glb、usdz、fbx、obj、stl 中选择;默认值为 glb。
material可选
类型enum
默认值PBR
PBRShaded
材质选择:PBR 或 Shaded,默认值为 PBR。
quality可选
类型enum
默认值medium
highmediumlowextra-low
生成质量级别:high、medium、low、extra-low;默认值为 medium。
use_hyper可选
类型boolean
默认值false
控制 hyper-mode 模型导出;默认值为 false。
tier可选
类型enum
默认值Regular
RegularSketch
生成层级选择:使用 Sketch 生成 Rodin Sketch,或使用 Regular 生成 Rodin Regular。
TAPose可选
类型boolean
默认值false
控制是否以 T/A 姿势生成类人模型。
bbox_condition可选
类型integer[]
包围盒数组,通常排列为 3 个条目:X 轴长度、Y 轴宽度和 Z 轴高度。这些值指定盒子的尺寸和缩放因子。
addons可选
类型string | null
可选的生成附加项;默认值为 []。可用的 HighPack 选项提供高多边形模型,并将纹理分辨率从默认的 1K 提升到 4K。
必填
文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "hyper3d/rodin",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 400,
"usd": "0.40",
"charged": 400,
"refunded": 0
},
"input": {
"prompt": ""
},
"output": {
"model_mesh": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"seed": 42,
"textures": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
]
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- model_mesh
- object {url, content_type, file_name, file_size}包含已生成 3D 对象的文件。
- seed
- integer生成期间使用的种子。
- textures
- array of object {url, content_type, file_name, file_size, width, height}为 3D 对象生成的纹理。
更多模型:图像转 3D
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/hyper3d/rodin.md. 所有模型和指南: https://doitong.com/developers/llms.txt